Make WordPress Core

Opened 3 years ago

Closed 20 months ago

Last modified 7 months ago

#52951 closed enhancement (duplicate)

Update package lock file to v2 format

Reported by: desrosj's profile desrosj Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: Build/Test Tools Keywords: has-patch
Focuses: Cc:

Description

Version 7 of NPM was released on February 2, 2021.

This version includes significant performance improvements, and several new features.

One main feature included in NPM 7 is a new v2 format for package-lock.json files. Running npm install using NPM 7 will result in the lock file being upgraded to the v2 format. Since the v2 format is backwards compatible, the lock file should be updated to use this new format.

More information on the features and changes in v7.x: https://github.blog/2020-10-13-presenting-v7-0-0-of-the-npm-cli/.
More information on the breaking changes in v7.x: https://blog.npmjs.org/post/626173315965468672/npm-v7-series-beta-release-and-semver-major.

Change History (6)

This ticket was mentioned in PR #1146 on WordPress/wordpress-develop by desrosj.


3 years ago
#1

  • Keywords has-patch added

This is backwards compatible with NPM version 6.x.

Trac ticket: https://core.trac.wordpress.org/ticket/52951

desrosj commented on PR #1146:


3 years ago
#2

Bleh that is a bummer. @tellthemachines Let's wait and update both Gutenberg and Core at the same time when that bug is fixed. Though we don't have any packages pulled from GitHub in Core, it would be better to have consistency, IMO!

#3 @desrosj
3 years ago

  • Milestone changed from 5.8 to Future Release

Going to move this to Future Release for now.

This ticket was mentioned in Slack in #core by desrosj. View the logs.


20 months ago

#5 @desrosj
20 months ago

  • Milestone Future Release deleted
  • Resolution set to duplicate
  • Status changed from new to closed

I'm going to close this out as a duplicate of #56658, which has the broader goal of updating Core to be compatible with NodeJS 18.x. The package-lock.json file should be updated when the other update related changes happen.

Last edited 20 months ago by desrosj (previous) (diff)
Note: See TracTickets for help on using tickets.